# Uses of Interface
org.springframework.beans.factory.parsing.ProblemReporter

Packages that use ProblemReporter
Package
Description
org.springframework.beans.factory.parsing
Support infrastructure for bean definition parsing.
org.springframework.beans.factory.xml
Contains an abstract XML-based `BeanFactory` implementation, including a standard "spring-beans" XSD.

## Uses of ProblemReporter in org.springframework.beans.factory.parsing

Classes in org.springframework.beans.factory.parsing that implement ProblemReporter
Modifier and Type
Class
Description
`class`
`FailFastProblemReporter`
Simple `ProblemReporter` implementation that exhibits fail-fast behavior when errors are encountered.
Constructors in org.springframework.beans.factory.parsing with parameters of type ProblemReporter
Modifier
Constructor
Description
``
`ReaderContext(org.springframework.core.io.Resource resource, ProblemReporter problemReporter, ReaderEventListener eventListener, SourceExtractor sourceExtractor)`
Construct a new `ReaderContext`.

## Uses of ProblemReporter in org.springframework.beans.factory.xml

Methods in org.springframework.beans.factory.xml with parameters of type ProblemReporter
Modifier and Type
Method
Description
`void`
XmlBeanDefinitionReader.`setProblemReporter(ProblemReporter problemReporter)`
Specify which `ProblemReporter` to use.
Constructors in org.springframework.beans.factory.xml with parameters of type ProblemReporter
Modifier
Constructor
Description
``
`XmlReaderContext(org.springframework.core.io.Resource resource, ProblemReporter problemReporter, ReaderEventListener eventListener, SourceExtractor sourceExtractor, XmlBeanDefinitionReader reader, NamespaceHandlerResolver namespaceHandlerResolver)`
Construct a new `XmlReaderContext`.